io.vertx.rxjava3.ext.auth.authorization

## Class PermissionBasedAuthorization

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authorization.Authorization
  - - io.vertx.rxjava3.ext.auth.authorization.PermissionBasedAuthorization

-     public class PermissionBasedAuthorization
      extends Authorization

  Represents a permission Note that the permission can optionally be assigned to a specific resource

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<PermissionBasedAuthorization>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionBasedAuthorization(Object delegate)`
    `PermissionBasedAuthorization(PermissionBasedAuthorization delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PermissionBasedAuthorization` | `create(String permission)`
    `boolean` | `equals(Object o)`
    `PermissionBasedAuthorization` | `getDelegate()`
    `String` | `getPermission()` returns the value of the permission
    `String` | `getResource()` returns an optional resource that the permission is assigned-on
    `int` | `hashCode()`
    `static PermissionBasedAuthorization` | `newInstance(PermissionBasedAuthorization arg)`
    `PermissionBasedAuthorization` | `setResource(String resource)` sets an optional resource that the permission is assigned-on
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava3.ext.auth.authorization.Authorization

      `match, match, newInstance, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PermissionBasedAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### PermissionBasedAuthorization

          public PermissionBasedAuthorization(PermissionBasedAuthorization delegate)

    - #### PermissionBasedAuthorization

          public PermissionBasedAuthorization(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Authorization`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Authorization`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Authorization`

    - #### getDelegate

          public PermissionBasedAuthorization getDelegate()

      Overrides:
        `getDelegate` in class `Authorization`

    - #### create

          public static PermissionBasedAuthorization create(String permission)

    - #### getPermission

          public String getPermission()

      returns the value of the permission
      Returns:

    - #### getResource

          public String getResource()

      returns an optional resource that the permission is assigned-on
      Returns:

    - #### setResource

          public PermissionBasedAuthorization setResource(String resource)

      sets an optional resource that the permission is assigned-on
      Parameters:
        `resource` -
      Returns:

    - #### newInstance

          public static PermissionBasedAuthorization newInstance(PermissionBasedAuthorization arg)

Copyright © 2021 Eclipse. All rights reserved.